## org.eclipse.datatools.connectivity
Class ConnectionProfileConstants

    java.lang.Object
      org.eclipse.datatools.connectivity.ConnectionProfileConstants

public class ConnectionProfileConstants
extends java.lang.Object

Author:
  rcernich Created on Jun 1, 2005

Field Summary
`static java.lang.String` `PING_FACTORY_ID`
`static java.lang.String` `PROP_DRIVER_DEFINITION_ID`
`static java.lang.String` `PROP_PREFIX`
`static java.lang.String` `PROP_PWD`
`static java.lang.String` `PROP_SERVER_NAME`
`static java.lang.String` `PROP_SERVER_PREFIX`
`static java.lang.String` `PROP_SERVER_VERSION`
`static java.lang.String` `PROP_TECHNOLOGY_NAME_PREFIX`
`static java.lang.String` `PROP_TECHNOLOGY_NAME_SUFFIX` Deprecated.
`static java.lang.String` `PROP_TECHNOLOGY_PREFIX`
`static java.lang.String` `PROP_TECHNOLOGY_VERSION_PREFIX`
`static java.lang.String` `PROP_TECHNOLOGY_VERSION_SUFFIX` Deprecated.
`static java.lang.String` `PROP_UID`
`static java.lang.String` `UNKNOWN_VERSION`
`static java.lang.String` `VERSION_INFO_PROFILE_EXTENSION_ID` The profile extension ID used to store filter settings.

Method Summary
`static java.lang.String` `createTechnologyNameKey(java.lang.String technology)`
`static java.lang.String` `createTechnologyVersionKey(java.lang.String technology)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PING_FACTORY_ID

    public static final java.lang.String PING_FACTORY_ID

See Also:
  Constant Field Values

### PROP_PREFIX

    public static final java.lang.String PROP_PREFIX

See Also:
  Constant Field Values

### PROP_UID

    public static final java.lang.String PROP_UID

See Also:
  Constant Field Values

### PROP_PWD

    public static final java.lang.String PROP_PWD

See Also:
  Constant Field Values

### PROP_DRIVER_DEFINITION_ID

    public static final java.lang.String PROP_DRIVER_DEFINITION_ID

See Also:
  Constant Field Values

### VERSION_INFO_PROFILE_EXTENSION_ID

    public static final java.lang.String VERSION_INFO_PROFILE_EXTENSION_ID

  The profile extension ID used to store filter settings.

  See Also:
    Constant Field Values

### PROP_SERVER_PREFIX

    public static final java.lang.String PROP_SERVER_PREFIX

See Also:
  Constant Field Values

### PROP_SERVER_VERSION

    public static final java.lang.String PROP_SERVER_VERSION

See Also:
  Constant Field Values

### PROP_SERVER_NAME

    public static final java.lang.String PROP_SERVER_NAME

See Also:
  Constant Field Values

### PROP_TECHNOLOGY_PREFIX

    public static final java.lang.String PROP_TECHNOLOGY_PREFIX

See Also:
  Constant Field Values

### PROP_TECHNOLOGY_NAME_PREFIX

    public static final java.lang.String PROP_TECHNOLOGY_NAME_PREFIX

See Also:
  Constant Field Values

### PROP_TECHNOLOGY_VERSION_PREFIX

    public static final java.lang.String PROP_TECHNOLOGY_VERSION_PREFIX

See Also:
  Constant Field Values

### UNKNOWN_VERSION

    public static final java.lang.String UNKNOWN_VERSION

### PROP_TECHNOLOGY_VERSION_SUFFIX

    public static final java.lang.String PROP_TECHNOLOGY_VERSION_SUFFIX

  Deprecated.

  See Also:
    Constant Field Values

### PROP_TECHNOLOGY_NAME_SUFFIX

    public static final java.lang.String PROP_TECHNOLOGY_NAME_SUFFIX

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### createTechnologyVersionKey

    public static final java.lang.String createTechnologyVersionKey(java.lang.String technology)

### createTechnologyNameKey

    public static final java.lang.String createTechnologyNameKey(java.lang.String technology)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.